// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_bouncycastle/bc1_sky
{
	qer_editorimage env/ut4_bouncycastle/lwcs4_bk.tga
	q3map_lightimage textures/ut4_bouncycastle/white.tga
	skyparms env/ut4_bouncycastle/lwcs4	512 -

	q3map_sunEXT 0.9 0.9 1.0 300 0 90 1 16
	q3map_lightRGB 0.9 0.9 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 200 3	
//	q3map_globaltexture
//	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_bouncycastle/bc1_hologo2b
{
	qer_editorimage textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2b.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bouncycastle/bc1_hologo2r
{
	qer_editorimage textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2r.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== NoDamage Textures ===---

textures/ut4_bouncycastle/bicol_wb:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/bicol_wg:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/bicol_wr:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/kw_rope4:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomstem1:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_r:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_gd:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_gf:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_g:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_r:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wb:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wbl:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wg:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wr:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/pr_veg035:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/purplergrad1:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/purplergrad2:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_blue16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_green16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_orange16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_pink16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_purple16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_red16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_white16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_yellow16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/white:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

textures/ut4_bouncycastle/bc1_star2
{
	qer_editorimage textures/ut4_bouncycastle/kw_star2.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
//	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100
	{
		map textures/ut4_bouncycastle/kw_star2.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bouncycastle/bc1_room
{
	qer_editorimage textures/ut4_bouncycastle/lw_room1.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
//	cull
	q3map_surfacelight 100

	{
		map textures/ut4_bouncycastle/lw_room1.tga
		blendFunc blend
	}
}

textures/ut4_bouncycastle/bc1_room2
{
	qer_editorimage textures/ut4_bouncycastle/lw_room1.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 10

	{
		map textures/ut4_bouncycastle/lw_room1.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bouncycastle/soc_treebark:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
}

// ---=== Ladderclip ===---

textures/ut4_bouncycastle/bc1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_bouncycastle/bc1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none

	{
		map textures/ut4_bouncycastle/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Arrows ===---

textures/ut4_bouncycastle/bc1_arrow3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bouncycastle/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_bouncycastle/arrow_grad1.jpg textures/ut4_bouncycastle/arrow_ograd4.jpg textures/ut4_bouncycastle/arrow_ograd3.jpg textures/ut4_bouncycastle/arrow_ograd2.jpg textures/ut4_bouncycastle/arrow_ograd3.jpg textures/ut4_bouncycastle/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}